==============
1999/09/15 02:20:24
author: rwscott
FileSB.c(1.79)


_XmFsbFileSelect() - When a file is selected from the list we update the
	value of the TextField, however we have been missing the update of
	dirSpec, and because of the interaction with SelectionBox, textString.

This was causing one of my apps to delete the wrong files, not a good thing :)
==============
1999/09/15 19:19:20
author: danny
XmIm.c(1.12)

Small bugfix to get IshMail to pass strangeness in XmIm.c
	(a NULL pointer where I didn't expect any in the
	 quick and dirty XmIm code written three (!) years
	 ago. Auch.)
==============
1999/09/16 19:42:27
author: danny
LTXpm.c(1.18)
ResConvert.c(1.51)

A lot of diffs (against (hopefully) current CVS version) are attached:

 - Small (OS/2 related) diffs to mwm source
   mwm.h, icons.c

 - make gcc more happy
   (-> warning: suggest explicit braces to avoid ambiguous `else')
   I hope I set them right ...
   LTXpm.c, SciPlot.c, Xbae/Draw.c, Xbae/Utils.c

 - ResConvert.c:
   XmConvertStringToUnits() is not yet implemented but at least
   it should have the correct return type (int instead of void)

 - missing #include in xmbind.c



------------------------------------------------------------------
  Alexander Mai
  st002279@hrzpub.tu-darmstadt.de
==============
1999/09/18 16:04:47
author: rwscott
FileSB.c(1.80)
Manager.c(1.76)
Vendor.c(1.48)


FileSB.c - debug stuff
Manager.c - ditto
Vendor.c:LTRemoveGrabCallback() - This gets called in the process of a
	destroying a VendorShell. We weren't physically removing the grab for
	some reason.

This was causing the nedit File->Open insensitivity problem. As a side benefit
it also helps the ddd --separate-windows insensitivity problem as well.
==============
1999/09/19 16:34:11
author: rwscott
LabelG.c(1.90)

A couple of "picky" patches from Alexander.

A non-existent Pixmap should be specified with None, not NULL, not 0.
==============
1999/09/26 12:59:32
author: danny
ResConvert.c(1.52)

XmContainer (required for mxmail) :
	provide a reasonable list of resource mappings
	define the widget record
	add string to rendertable and string to tablist converter (stubs)
==============
1999/09/26 16:37:13
author: rwscott
FileSB.c(1.81)
MenuShell.c(1.80)


MenuShell.c - This is for http://www.bartels.de/baedform.htm. It seems that it
    un-manages the menus somewhwhere along the line. We manage them
    in insert_child, and expect them to stay managed.

FileSB.c - remove a printf that I left in sometime.
==============
1999/09/28 21:45:14
author: danny
DialogS.c(1.22)

Suggested fix by martin@harlequin.co.uk
==============
1999/09/29 00:59:59
author: rwscott
RowColumn.c(1.237)


MenuProcEntry - XmMENU_BUTTON_POPDOWN - If we actually manage to bring
	down a menu, make sure that the cascade button that posted it gets
	dis-armed, and the menu it was posted from no longer thinks that
	it is posted.

This fixes up Alexanders (latest) problem with xmgrace.
==============
1999/09/29 16:38:50
author: rwscott
MenuShell.c(1.81)


Unfortunatly the fix for the bae cad menus screws up Mozilla's Go menu, sigh.
So let's just make sure the menu is managed before the shell is mapped in
MenuShellPopupSharedMenuPane.

This seems to keep Mozilla and the bae cad thing happy.
==============
1999/09/29 22:20:06
author: rwscott
CascadeB.c(1.146)
RowColumn.c(1.238)
TearOff.c(1.41)

Get a couple more lines of rowcolumn/test51 passing.....
==============
1999/09/29 23:03:36
author: rwscott
RowColumn.c(1.239)

Get the rest of rowcolumn/test51 working.....
==============
1999/09/29 23:49:03
author: rwscott
TearOff.c(1.42)

Now that I managed to get test51 going again, let's break it again. Try
to generate a key event to try and drop the tear-off.

It'd be nice to have the Motif results, if anyone is available.
==============
1999/09/30 21:33:04
author: rwscott
List.c(1.87)


Erik Corry <corry@mjolner.dk>
Looks like we were looping past the end of a couple of arrays.
==============
1999/10/07 18:18:22
author: danny
SelectionBox.c(1.45)

If adding an XmNpopdownCallback to the parent of a SelectionBox (its
popup shell) and then pressing the SelectionBox's okCallback,
the callbacks get called in this sequence:

* with Lesstif:
PopdownCallback
OkCallback
PopdownCallback

* with Motif
PopdownCallback
OkCallback

=> With Lesstif the PopdownCallback is called twice.

This problem does not show with MessageBox based dialogs, so I guess it
might be related to handling of auto_unmanage in  _XmSbButton() in
SelectionBox.c. The patch below seems to fix this problem for me, but I
am not sure about side-effects on other applications.

Ralf Corsepius
Forschungsinstitut fuer Anwendungsorientierte Wissensverarbeitung (FAW)
Helmholtzstr. 16, 89081 Ulm, Germany     Tel: +49/731/501-8690
mailto:corsepiu@faw.uni-ulm.de
==============
1999/10/12 21:46:33
author: rwscott
List.c(1.88)


Peter Stein <Peter@gatekeeper.deta.de>
XmListReplacePositions doesn't seem to work right for items in the
list, that should be updated. I corrected for this by moving a
curly brace some lines up, as shown here:
==============
1999/10/17 07:42:45
author: danny
XmIm.c(1.13)

Clean up some old junk.
==============
1999/10/18 18:47:13
author: rwscott
RowColumn.c(1.240)


_XmIsWidgetViewable - If the widget is being destroyed, assume it is not
	viewable.

This was causing ml to exit, as reported recently.
==============
1999/10/19 13:25:33
author: rwscott
RowColumn.c(1.241)


Apparently openDX is setting a rather global shadowThickness resource. This
is being picked up by the optionMenus and we end up with an extra shadow. So,
let's force the shadowThickness to 0 in an optionMenu, and bark loudly if
a set_values is done on this resource.
==============
1999/10/19 20:25:59
author: rwscott
CascadeBG.c(1.130)


_XmCascadeBCacheCompare should not be defined static.
==============
1999/10/19 23:06:56
author: rwscott
Form.c(1.153)


constraint_set_values() - Apparently we need to do the layout whether or not
	the form is managed.

This is based on the openDX splash screen for dx -edit. It tries to center
the pixmap button, and like most splash screens do some rather strange things
to make it happen. They also mention some work arounds that they go through
to avoid a bug on SGI. This chunk of code is also responsible for the DX
modules jumping around by themselves on the WorkSpace from some time ago, so
I would appreciate some feedback....
==============
1999/10/26 09:25:10
author: amai
ResConvert.c(1.53)
ScrollBar.c(1.56)

again casts to make cc (DU) happy.
We're getting close to a warning free compilation; at least with the
current set of compiler flags ;-)
==============
1999/10/27 02:13:25
author: rwscott
RCUtils.c(1.106)


Pretend resizeWidth is True iff XtWidth is 0, same for height.

_XmRCGetKidGeo: When adjusting the size of the button in an option menu do
	not add in the RCC_Margins if it is a vertical menu. In this case
	the RCC_Margins are really the left/right margins, despite the
	variable name, and are rather messed up due to the cascade pixmap.

This gets rowcolumn/test61 going. At least it will when I add in a slop value
of 2. If someone doesn't like the fact that this is off by 2 pixels submit a
patch to fix it, making sure that it doesn't upset _any_ of the other tests.
==============
1999/10/28 18:33:43
author: amai
CutPaste.c(1.10)

'64 bit' patch from Edouard G. Parmelan (edouard.parmelan@quadratec.fr)
==============


Executive Summary
Of 108 files, 20 changed, and 88 had no change

File            Current Rev. Last Release 
.cvsignore      1.1          1.1          No Change
.indent.pro     1.1          1.1          No Change
ArrowB.c        1.30         1.30         No Change
ArrowBG.c       1.25         1.25         No Change
AtomMgr.c       1.4          1.4          No Change
BaseClass.c     1.11         1.11         No Change
BulletinBoard.c 1.49         1.49         No Change
Cache.c         1.8          1.8          No Change
CascadeB.c      1.146        1.145        
CascadeBG.c     1.130        1.129        
Command.c       1.18         1.18         No Change
CutPaste.c      1.10         1.9          
DebugUtil.c     1.44         1.44         No Change
Desktop.c       1.5          1.5          No Change
Dest.c          1.2          1.2          No Change
DialogS.c       1.22         1.21         
Display.c       1.14         1.14         No Change
DragBS.c        1.17         1.17         No Change
DragC.c         1.24         1.24         No Change
DragIcon.c      1.10         1.10         No Change
DragOverS.c     1.16         1.16         No Change
DragUnder.c     1.3          1.3          No Change
DrawingArea.c   1.39         1.39         No Change
DrawnB.c        1.39         1.39         No Change
DropSMgr.c      1.24         1.24         No Change
DropSMgrI.c     1.2          1.2          No Change
DropTrans.c     1.10         1.10         No Change
ExtObject.c     1.5          1.5          No Change
FileSB.c        1.81         1.78         
FontList.c      1.14         1.14         No Change
Form.c          1.153        1.152        
Frame.c         1.45         1.45         No Change
Gadget.c        1.16         1.16         No Change
GadgetUtil.c    1.8          1.8          No Change
GeoUtils.c      1.47         1.47         No Change
Hash.c          1.6          1.6          No Change
ImageCache.c    1.17         1.17         No Change
LTCvt.c         1.8          1.8          No Change
LTV5Editres.c   1.6          1.6          No Change
LTV6Editres.c   1.6          1.6          No Change
LTXpm.c         1.18         1.17         
LTfnmatch.c     1.3          1.3          No Change
LTglob.c        1.8          1.8          No Change
Label.c         1.106        1.106        No Change
LabelG.c        1.90         1.89         
List.c          1.88         1.86         
MainW.c         1.53         1.53         No Change
Makefile.am     1.31         1.31         No Change
Manager.c       1.76         1.75         
MapEvent.c      1.13         1.13         No Change
MenuShell.c     1.81         1.79         
MenuUtil.c      1.60         1.60         No Change
MessageB.c      1.37         1.37         No Change
Messages.c      1.4          1.4          No Change
Mwm.c           1.3          1.3          No Change
Obsolete.c      1.8          1.8          No Change
PanedW.c        1.44         1.44         No Change
Primitive.c     1.42         1.42         No Change
Protocols.c     1.7          1.7          No Change
PushB.c         1.72         1.72         No Change
PushBG.c        1.75         1.75         No Change
RCUtils.c       1.106        1.105        
ReadImage.c     1.2          1.2          No Change
Region.c        1.5          1.5          No Change
RepType.c       1.10         1.10         No Change
ResConvert.c    1.53         1.50         
ResInd.c        1.17         1.17         No Change
RowColumn.c     1.241        1.236        
Sash.c          1.13         1.13         No Change
Scale.c         1.36         1.36         No Change
Screen.c        1.17         1.17         No Change
ScrollBar.c     1.56         1.55         
ScrolledW.c     1.117        1.117        No Change
Selection.c     1.4          1.4          No Change
SelectionBox.c  1.45         1.44         
SeparatoG.c     1.13         1.13         No Change
Separator.c     1.12         1.12         No Change
Shadow.c        1.18         1.18         No Change
ShellExt.c      1.4          1.4          No Change
Simple.c        1.21         1.21         No Change
TearOff.c       1.42         1.40         
TearOffB.c      1.19         1.19         No Change
Text.c          1.95         1.95         No Change
TextF.c         1.83         1.83         No Change
TextIn.c        1.43         1.43         No Change
TextOut.c       1.66         1.66         No Change
TextStrSo.c     1.33         1.33         No Change
ToggleB.c       1.69         1.69         No Change
ToggleBG.c      1.68         1.68         No Change
TrackLoc.c      1.4          1.4          No Change
Transltns.c     1.7          1.7          No Change
TravAct.c       1.11         1.11         No Change
Traversal.c     1.34         1.34         No Change
UniqueEvent.c   1.4          1.4          No Change
VaSimple.c      1.7          1.7          No Change
Vendor.c        1.48         1.47         
VirtKeys.c      1.11         1.11         No Change
Visual.c        1.29         1.29         No Change
World.c         1.4          1.4          No Change
XmIm.c          1.13         1.11         
XmStrDefs.c     1.4          1.4          No Change
XmString.c      1.43         1.43         No Change
Xmos.c          1.26         1.26         No Change
alloca.c        1.3          1.2          
inlines.in      1.3          1.3          No Change
misc.c          1.12         1.12         No Change
mkinline.c      1.4          1.4          No Change
xdnd.c          1.5          1.5          No Change
